Do not miss any Atlas Agent Engine API changes, ever again

Subscribe to the Atlas Agent Engine API changelog to be up to date on recent changes.

RSS

Jun 23, 2026

main
1.0
Compare

API structure has changed

8 structure changes including:
2 Additions
6 Modifications
Modified 6
GET /api/v1/memory/config
  • Response
  • 200 response Modified
    • application/json content type Modified
      • config property Modified
        • background_extraction property Modified
GET /api/v1/projects/{id}/memory/config
  • Response
  • 200 response Modified
    • application/json content type Modified
      • config property Modified
        • background_extraction property Modified
POST /api/v1/invokeWorkspace
  • Response
  • 429 response Added
POST /api/v1/invokeWorkspaceStream
  • Response
  • 429 response Added
PUT /api/v1/memory/config
  • Body
  • application/json content type Modified
    • background_extraction property Modified
      • snapshot property Modified
        • topic_shift_enabled, topic_shift_threshold, ttl_days properties Added
PUT /api/v1/projects/{id}/memory/config
  • Body
  • application/json content type Modified
    • background_extraction property Modified
      • snapshot property Modified
        • topic_shift_enabled, topic_shift_threshold, ttl_days properties Added
Added 2
POST /api/v1/memory/runtime/restart
POST /api/v1/projects/{id}/memory/runtime/restart